> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/es/web-scraper-api/features/http-context-and-job-management/headers-cookies-method.md).

# Encabezados, cookies, método

Descubre cómo personalizar encabezados, cookies o el método HTTP al extraer con Web Scraper API.

Web Scraper API maximiza la eficiencia de acceso al sitio web usando encabezados y cookies predefinidos por nuestro equipo. Si es necesario, puedes definir tus propios encabezados, cookies y el método HTTP.

## Encabezados personalizados

Si necesitas tus propios encabezados, puedes usarlos añadiendo `context:force_headers` el parámetro y estableciéndolo en `true` al enviar un trabajo de scraping. Web Scraper API enviará tus encabezados personalizados junto con el conjunto de encabezados predefinidos y luego los usará para acceder al sitio web.

#### Ejemplo de código

```json
{
    "context": [
        {
            "key": "force_headers",
            "value": true
        },
        {
            "key": "headers",
            "value": {
                "Accept-Language": "en-US,en;q=0.5"
            }
        }
    ],
    "source": "universal",
    "url": "https://example.com"
}
```

## cookies personalizadas

Si necesitas tus propias cookies, puedes usarlas añadiendo `context:force_cookies` el parámetro y estableciéndolo en `true` al enviar un trabajo de scraping. Web Scraper API enviará tus cookies personalizadas junto con el conjunto de cookies predefinidas y luego las usará para acceder al sitio web. Si también quieres reutilizar la misma dirección IP de proxy, consulta la [sesiones de proxy](/products/es/web-scraper-api/features/localization/proxy-location.md#sessions) documentación.

#### Ejemplo de código

```json
{
    "context": [
        {
            "key": "force_cookies",
            "value": true
        },
        {
            "key": "cookies",
            "value": [
                {
                    "key": "NID",
                    "value": "1234567890"
                }
            ]
        }
    ],
    "source": "universal",
    "url": "https://example.com"
}
```

## Método HTTP

`universal` source usa el `GET` método HTTP de forma predeterminada.

Si necesitas publicar datos en el sitio web de destino, debes establecer el método HTTP en `POST` y proporcionar un cuerpo de solicitud codificado en Base64 `POST` en `context:content`. El ejemplo siguiente publica `hello=world` (Base64: `aGVsbG89d29ybGQ=`) a una página que devuelve la solicitud, para que puedas ver el cuerpo en el `campo de datos` del contenido devuelto.

#### Ejemplo de código

```json
{
    "source": "universal",
    "url": "https://httpbin.org/post",
    "context": [
        {
            "key": "http_method",
            "value": "post"
        },
        {
            "key": "content",
            "value": "aGVsbG89d29ybGQ="
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.oxylabs.io/products/es/web-scraper-api/features/http-context-and-job-management/headers-cookies-method.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
